
public class TreeDecorator extends Tree {
	

	private Tree tree;
	
	public TreeDecorator(Tree tree) {
		this.tree = tree;
	}

	public String getDescription() {
		return super.getDescription() + tree.getDescription() + " " ;
	}

	public double getCost() {
		return tree.getCost() + super.getCost();
	}


	

}
