
public class BlueBall extends TreeDecorator {

	public BlueBall(Tree tree) {
		super(tree);
		setCost(2.0);
		
		if (tree instanceof TreeDecorator) {
			DecoratorState state = ((TreeDecorator)tree).getDecoratorState();
			setDecoratorState(state.getNextState(this));
			setDescription("a Blue Ball");
		} else {
			setDecoratorState(new NoStarState());	
			setDescription(" decorated with, a Blue Ball");
		}
	}



}
