import java.util.*;

public class Node extends Tree
{
    private Tree[] myNode;
    
    public Node(Tree son, double numberOfLeaves)
    {
        myNode = new Tree[(int)numberOfLeaves+1]; 
        myNode[0] = son;
        for(int i=1; i<=(int)numberOfLeaves; i++){
                myNode[i] = new Leaf();
               }
    }

    public Tree decorateYourself(Iterator j, DecorationFactory f){
        DecorationFactory mf = (DecorationFactory)j.next();
        for(int i=0; i<myNode.length; i++)
             myNode[i] = myNode[i].decorateYourself(j, mf);
        //seconda decorazione,  saltare [0]
        //for(int i=1; i<myNode.length; i++)
          //  myNode[i] = myNode[i].decorateYourself(j, mf);
        return this;
    }
    
        public String getDescription() {
        String descr = "\n";
        for(int i=myNode.length-1; i>=0; i--)
            descr= descr + myNode[i].getDescription();
        return descr;
    }
     
    
    public double getCost() {
        double c=0;
        for(int i=0; i<myNode.length; i++)
            c= c + myNode[i].getCost();
        return c;
    }
}
